#define snapdate 20160428
#define snaphash cd41612b3d6f7e01039fa13d3aa6a4715eecd683

Name:           hawaii-workspace
Summary:        Hawaii workspace, applications and plugins
Version:        0.8.1
Release:        2%{?snaphash:.%{snapdate}git%(echo %{snaphash} | cut -c -13)}%{?dist}
# Programs are GPL v2+
# Platform plugin is LGPL v2.1
License:        GPLv2+ and LGPLv2.1
URL:            http://hawaiios.org
Source0:        https://github.com/hawaii-desktop/%{name}/%{?snaphash:archive}%{!?snaphash:releases/download}/%{?snaphash}%{!?snaphash:v%{version}}/%{name}-%{?snaphash}%{!?snaphash:%{version}}.tar.gz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(polkit-qt5-1)
BuildRequires:  cmake(GreenIslandClient)
BuildRequires:  cmake(Hawaii)
%if 0%{?fedora} >= 23
BuildRequires:  cmake(Qt5GStreamer)
%endif
%if 0%{?fedora} < 23
BuildRequires:  qt5-gstreamer-devel
%endif
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  pkgconfig(gio-2.0) >= 2.31.0
BuildRequires:  pkgconfig(dbus-1)

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  desktop-file-utils

Requires:       fluid

Requires:       dejavu-sans-fonts
Requires:       dejavu-serif-fonts
Requires:       dejavu-sans-mono-fonts
Requires:       google-droid-sans-fonts


%description
Hawaii runtime components.


%prep
%setup -q -n %{?snaphash:%{name}-%{snaphash}}%{!?snaphash:%{name}-%{version}}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-qt

# Override wallpaper
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
cat > %{buildroot}%{_datadir}/glib-2.0/schemas/org.hawaiios.desktop.background.gschema.override <<EOF
[org.hawaiios.desktop.background]
mode='wallpaper'
picture-url='file://%{_datadir}/backgrounds/default.png'
EOF

# Override launcher applications
cat > %{buildroot}%{_datadir}/glib-2.0/schemas/org.hawaiios.desktop.panel.gschema.override <<EOF
[org.hawaiios.desktop.panel]
pinned-launchers=['qterminal-qt5', 'org.hawaiios.SystemPreferences']
EOF


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.hawaiios.*.desktop


%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%files -f %{name}.lang
%license LICENSE.GPLv2 LICENSE.LGPLv2.1
%doc AUTHORS.md
%{_bindir}/hawaii-polkit-agent
%{_bindir}/hawaii-powermanager
%{_bindir}/hawaii-screencast
%{_bindir}/hawaii-screenshot
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/menus/*
%{_datadir}/desktop-directories/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/hawaii-workspace/translations/*.qm
%{_kf5_qtplugindir}/platformthemes/HawaiiPlatformTheme.so


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 30 2016 Pier Luigi Fiorini <pierluigi.fiorini@hawaiios.org> - 0.8.1-1
- Update to 0.8.1

* Thu Jul 21 2016 Pier Luigi Fiorini <pierluigi.fiorini@hawaiios.org> - 0.7.0-1
- Update to 0.7.0

* Thu Apr 28 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-1.20160428gitcd41612b3d6f7
- Update to latest snapshot

* Tue Apr 05 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-0.2.20160301git
- Fix applications menu

* Tue Mar 01 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-0.1.20160301git
- Update to latest snapshot

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.0-2
- Improve file list and validate desktop file

* Sun Jan 03 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.0-1
- Initial packaging
